package com.palmnest.webapp.quartz;

import com.palmnest.service.dinner.service.PlaceAnOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

@Slf4j
@Component("orderDinnerPushTempMsgTimerTask")
public class OrderDinnerPushTempMsgTimerTask {
    @Autowired
    private PlaceAnOrderService placeAnOrderService;

    private void run() {
        log.info("quartz into orderDinnerPushTempMsgTimerTask start ..." + new Date());
        placeAnOrderService.sendTempMsg("","","");
        log.info("quartz into orderDinnerPushTempMsgTimerTask end ...");
    }
}
